For AI agents: a documentation index is available at https://www.mongodb.com/docs/api/doc/agentengine/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

Sep 23, 2026

main
1.0
Compare

API structure has changed

2 structure changes including:
2 Modifications
Modified 2
GET /api/v1/projects/{id}/deployments/{deployment_id}
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • components property Modified
        • replicas property Added
    • application/json content type Modified
      • components property Modified
        • replicas property Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
  • Response
  • 200 response Modified
    • application/vnd.agent-engine-2026-09-20-preview+json content type Modified
      • deployments property Modified
        • components property Modified
    • application/json content type Modified
      • deployments property Modified
        • components property Modified